<?php

namespace Daniv04\HaciendaPackage\Services\Hacienda\Idp;

class HaciendaIdpException extends \RuntimeException
{
    public function __construct(
        string $message,
        public int $httpStatus,
        public ?array $responseBody = null,
    ) {
        parent::__construct($message, $httpStatus);
    }
}
